﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZOIL.DataModel;

namespace ZOIL.Library.Components
{
    [ViewModelFor(typeof(ZPhotoThumbnailView))]
    public class ZPhotoThumbnailViewModel : BaseViewModel
    {
        public ZPhotoThumbnailViewModel()
            : base()
        {
            RegisterChangeNotification("SmallUrl", "SmallUrl");
        }



        public Uri SmallUrl
        {
            get
            {
                return ((ZPhoto)Model).SmallUrl;
            }
            set
            {
                (Model as ZPhoto).SmallUrl = value;
                RaisePropertyChangedEvent("SmallUrl");
            }
        }
    }


}
