﻿//DatabaseId
//BelongsToDatabaseId

declare namespace zoil = "http://zoil.codeplex.com/schemas/2012";

import module namespace functx = "http://www.functx.com";

declare function zoil:prepareObjectForReturning($xml)
{{
  let $path := replace(functx:path-to-node($xml), '/', '.')
  let $nml := functx:add-attributes($xml, QName('http://zoil.codeplex.com/schemas/2012', 'zoil:Path'), $path)
  return $nml
}};

declare function zoil:getPairById($id)
{{
    let $obj := //*[{0} = $id]
    let $prop := //*[{1} = $id]
    return (zoil:prepareObjectForReturning($obj), zoil:prepareObjectForReturning($prop))
}};

