﻿using System;
using ZOIL.DataModel;

namespace ZOIL.DataBackend.Server
{
    /// <summary>
    /// Represents a user of the Database
    /// </summary>
    public class DatabaseUser : BasePropertyChange
    {
        public DatabaseUser(String user, String pw)
        {
            Username = user;
            Password = pw;
        }

        private String _username;
        public String Username
        {
            get
            {
                return _username;
            }
            set
            {
                _username = value;
                RaisePropertyChanged("Username");
            }
        }

        private String _password;
        public String Password
        {
            get
            {
                return _password;
            }
            set
            {
                _password = value;
                RaisePropertyChanged("Password");
            }
        }
    }
}
