﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Drawing;
using ZOIL.DataModel;

namespace ZOIL.DataBackend
{
    public interface ICollectionConnection : ICollectionFactory, IDisposable
    {
        string FriendlyName { get; }
        Bitmap Icon { get; }

        IPersistableCollection Connect(Dictionary<string, object> parameters);
        IPersistableCollection ConnectAndSetAsDefaultCollection(Dictionary<string, object> parameters);

        bool CanStartLocalDatabase();
        void StartLocalDatabase(Dictionary<string, object> parameters);
    }
}