﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Threading;
using System.Windows;
using Sample.PhotoBrowser.Properties;
using ZOIL.DataBackend;
using ZOIL.DataModel;

namespace Sample.PhotoBrowser
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App
    {
        #region private fields

        #endregion

        public App()
        {
            Startup += AppStartup;
        }

        private void AppStartup(object sender, StartupEventArgs e)
        {
            PluginManager.Instance.LoadPlugins();

            //eventually put this in an extra mvvm util class
            PluginManager.Instance.RegisterAttribute<ViewFor>();
            PluginManager.Instance.RegisterAttribute<ViewModelFor>();

            PluginManager.Instance.Scan();
        }
    }
}
