﻿using ZOIL.DataBackend;
using ZOIL.DataModel;

namespace Sample.PhotoBrowser.Components
{
    public class Debug : InformationObjectBase
    {
        private VisualProperties _visualProperties;
        public VisualProperties VisualProperties
        {
            get { return _visualProperties; }
            set
            {
                _visualProperties = value;
                RaisePropertyChanged("VisualProperties");
                OnObjectLocallyChanged();
            }
        }

        #region Overrides of InformationObjectBase

        public override void OnRemoteUpdated()
        {
            base.OnRemoteUpdated();

            RaisePropertyChanged("VisualProperties");
        }

        #endregion
    }
}
