﻿using System;
using System.ComponentModel;

namespace ZOIL.DataModel
{
    public interface IVisualProperties : INotifyPropertyChanged
    {
        /// <summary>
        /// !Do NOT set the Id yourself!
        /// </summary>
        long BelongsToDatabaseId { get; set; }

        String ViewIndex { get; set; }
        String TemplateId { get; set; }
        double X { get; set; }
        double Y { get; set; }
        double Width { get; set; }
        double Height { get; set; }
        double Opacity { get; set; }
        int ZIndex { get; set; }
        double Angle { get; set; }
        int ViewId { get; set; }
    }
}