﻿using ZOIL.DataModel;

namespace ZOIL.Library.Components.Notepad
{
    public class Notepad : InformationObjectBase
    {
        private string _strokes;
        public string Strokes
        {
            get { return _strokes; }
            set
            {
                if (value == _strokes)
                {
                    return;
                }
                _strokes = value;
                RaisePropertyChanged("Strokes");
                OnObjectLocallyChanged();
            }
        }

        public override void OnRemoteUpdated()
        {
            RaisePropertyChanged("Strokes");
        }
    }
}